Comment 12 for bug 458595

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package network-manager - 0.8.2-0ubuntu1

---------------
network-manager (0.8.2-0ubuntu1) natty; urgency=low

  * new upstream release 0.8.2
    - update timestamp in active system connections every 5 mins
    - ignore authorization for sleep/wake requests (but restrict to root)
    - add timestamp to default auto wired connections (LP: #447067)
    - don't crash if for some reason HW addresses aren't available (bgo #630534)
    - ensure Enabled state is preserved regardless of rfkill (LP: #387345)
    - add dhcp4-change and dhcp6-change events (bgo #563654)
    - validate Enable/Disable WiFi and WWAN requests
    - handle VPN service installation/removal dynamically (LP: #458595)
    - let plugins forbid VPN connections from getting the default route
      (LP: #598357)
    - work around dbus-glib property access bug (CVE-2010-1172)
    - ensure dhcp_manager exists before trying to unref it (bgo #626610)
  * drop dhcp3 support patch, it was applied upstream.
    - remove debian/patches/99-support-dhcp3.patch
    - update debian/patches/series
  * drop cherry-picked patches to /etc/hosts handling, their changes are
    included in the source tarball:
    - remove debian/patches/lp659872_dont_overwite_hosts_aliases_ee9ce60.patch
    - remove debian/patches/lp632896_cleanup_etc_hosts.patch
    - update debian/patches/series
  * Properly document workflow for working on NM packaging.
    - add debian/README.source
  * Slight change to GET_SOURCE script. Looks like we were looking for the
    "orig" keyword in the wrong variable.
    - update debian/rules
  * Fix typo in README.source
    - update debian/README.source
  * network-manager Breaks: dhcp3-client (<< 4.1.1-P1-11) to provide seemless
    upgrades to isc-dhcp 4 and avoid unnecessary compatibility issues
  * switch Build-Depends from dhcp3-client to isc-dhcp-client >= 4.1.1 to make
    sure we don't build with an old version of DHCP.
  * libnm-glib2 also Breaks: dhcp3-client (<< 4.1.1-P1-11)
    - debian/control
  * libnm-util1 Breaks: dhcp3-client (<< 4.1.1-P1-11) as well
    - debian/control
  * Patch various files to support building with kernel headers 2.6.36 and
    newer (otherwise it conflicts with libc headers for interface structures)
    - debian/patches/do-not-include-netif.patch
    - debian/patches/series
 -- Mathieu Trudel-Lapierre <email address hidden> Tue, 09 Nov 2010 13:01:48 -0500